/* Home */


.hero-img.middle {
  block-size: 650px;
  background-position: top;
}

.overlay-img {
  position: absolute;
  top: 10%;
  left: 60%;
  inline-size: 50%;
  max-inline-size: 400px;
  z-index: 10;

  opacity: 0;
  transform: translateY(-100px);

  transition:
    opacity 0.8s ease-out,
    transform 0.8s ease-out;
}

.overlay-img.show {
  opacity: 1;
  transform: translateY(0);
}

.home-button-section {
  display: flex;
}

.home-button-section div {
  display: grid;
  flex-basis: 50%;
  padding: 1rem;
}

.home-button-section p {
  padding-block-start: .5rem;
  padding-block-end: 1.5rem;
  text-wrap: pretty;
}

.home-button-section a {
  flex-direction: column;
  justify-self: center;
  align-self: flex-end;
}

.home-button-section div:first-child {
  border-right: 1px solid var(--color-primary-700-a);
}
        

@media (hover:hover) {
  .redirect-button:hover {
    rotate: -2deg;
  }
}

.description {
  display: flex;
  flex-direction: row;
}

#hero-description > p {
  padding-block: .5rem;
}

.water,
.heat {
  margin-block: 1rem;
}

.water li,
.heat li {
  display: grid;
  grid-template-columns: 20px 1fr;
  column-gap: .5rem;
  margin-block: .5rem;
  margin-inline-end: 1rem;
  align-items: start;
}

.water li img,
.heat li img {
  inline-size: 20px;
  aspect-ratio: 1;
  display: block;
}

@media screen and (width < 1200px)  and (width >= 734px) {
  .hero-box {
    padding-inline: 2rem;
  }
}

@media screen and (width < 900px) {
  .hero-img.middle {
    block-size: 500px;
    background-position: center;
  }

  .description {
    flex-direction: column;
  }

  .overlay-img {
    top: 0;
    right: 0;
    left: 50%;
  }
}

@media screen and (width < 798px) {
  .hero-box {
    padding: 1rem;
  }

  .home-button-links {
    flex-direction: column;
    gap: 2rem;
    margin-block: 4rem;
  }
}

@media screen and (width < 772px) {
  .home-button-section {
    flex-direction: column;
  }

  .home-button-section div:first-child {
    border-right: none;
  }
}

@media screen and (width < 450px) {
   .hero-box {
    padding: .5rem;
  }

  .home-button-links {
    inline-size: fit-content;
    margin-inline: auto;
  }
}

